
 <div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>Receiving In Checklist
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 card-body">
      <form [formGroup]="filterForm" (ngSubmit)="onSubmit()" class="form-inline" role="form">
        <label for="fromDate" class="mb-2 mr-sm-2">From Date:</label>
        <input 
          type="date" 
          class="form-control mb-2 mr-sm-2" 
          formControlName="fromDate">
        <label for="toDate" class="mb-2 mr-sm-2">To Date:</label>
        <input 
          type="date" 
          class="form-control mb-2 mr-sm-2"
          formControlName="toDate">
        <label for="batteryNum" class="mb-2 mr-sm-2">Battery:</label>
        <input 
         type="text" 
         class="form-control mb-2 mr-sm-2"
         formControlName="batteryNum"
         placeholder="Enter Battery Number"
         >
        <button type="submit" class="btn btn-primary mb-2">Search</button>
      </form>
    </div>

    <div class="col-xs-12 col-sm-12 col-md-12 card-body">
		<table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped table-bordered row-border hover">
          <thead>
            <tr>
              <th *ngFor="let header of tableHeaders">{{ header }}</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let checklist of checklistInfo">
              <td>
				<a href="javascript:void(0)" title="Click to view details" (click)="showModalConfirmation(content,checklist._id)">{{ checklist.batteryId }}</a>
              </td>
              <td>{{ checklist.receivedFrom }}</td>
              <td>{{ checklist.receivedBy }}</td>
              <td>{{ checklist.type }}</td>
              <td>{{ checklist.loggedAt | date:'medium' }}</td>
            </tr>
          </tbody>
        </table>
    </div>
   </div>
 </div>  

<!-- Modal starts here -->
<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title">Checklist Details</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="box-body box-profile" id="pofile_container">
        <ul class="list-group list-group-unbordered" *ngIf="modaldata">
          <li class="list-group-item">
            <b>Battery</b><p class="pull-right">{{ modaldata.batteryId }}</p>
          </li>
          <li class="list-group-item">
            <b>Image</b><p class="pull-right">
              <img 
                src="{{ modaldata.imageUrl }}"
                (click)="zoomImage(modaldata.imageUrl,modaldata.description)" 
                class="h60"
                alt="Battery Image"
                title="Click to zoom"
                *ngIf="modaldata.imageUrl;else emptyStr">
            </p>
          </li>
          <li class="list-group-item">
            <b>Received From</b> <p class="pull-right" >{{ modaldata.receivedFrom }}</p>
          </li>
          <li class="list-group-item">
            <b>Receiving Purpose</b> <p class="pull-right" >{{ modaldata.type }}</p>
          </li>
          <li class="list-group-item">
            <b>External Signs of Tampering</b> <p class="pull-right" >{{ modaldata.tampered ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>Smart Lock Working</b> <p class="pull-right" >{{ modaldata.smartLockWorking ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>Battery Top Window Ok</b> <p class="pull-right" >{{ modaldata.batteryTopWindow ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>SOC Meter Working</b> <p class="pull-right" >{{ modaldata.socMeterWorking ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>Connector Ok</b> <p class="pull-right" >{{ modaldata.connectorOK ? "Yes":"No" }}</p>
          </li>

          <li class="list-group-item">
            <b>Description</b> <p class="pull-right" >{{ modaldata.description ? modaldata.description :"NA" }}</p>
          </li>

          <li class="list-group-item">
            <b>Received At</b> <p class="pull-right" >{{ modaldata.receivedAt }}</p>
          </li>
          <li class="list-group-item">
            <b>Received By</b> <p class="pull-right" >{{ modaldata.receivedBy }}</p>
          </li>
        </ul>
    </div>
    <ng-template #emptyStr>
          <td>{{ 'NA' }}</td> 
    </ng-template>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-danger" (click)="c(REASON_CANCEL)">Cancel</button> </div>

</ng-template>